UI関連 多言語化どうしよっか


その他 マルチ言語対応について

で、max2013から
多言語対応となったため
実はマルチ言語化が楽なのだが

問題は2012ver以前は
無論対応できないため
2013と2012の間で
溝が出来てしまうわけだ

じゃぁ、どうするか

溝を埋めるために
オリジナルで組むほうがいいのか
それとも、verを区別して
下位と上位でスクリプトを分けるか?

んー

どっちが効率いいんだろう?
今後のことを考えたら
やっぱり、下位バージョンと区別しちゃったほうがいいのかな?

その場合、下位と上位でスクリプトを準備しなきゃならないな
コレは面倒だな
効率よく言語を分けるには・・・
まさか、置換用のスクリプトを新たに組む?
それもなんだかめんどくさいな

だったら、オリジナルにしたほうがいいか?

組むならば、
言語テーブルをIniファイルか
xmlみたいな構造ファイルに対処の文字を集めて
そこから取得するようにしたら早いかな

一番なのは
簡単で、ある程度汎用性があって
後々にどうにでも出来るように作っておく事だよね

まぁまた色々考えてみよう

Leave a comment

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

このサイトはスパムを低減するために Akismet を使っています。コメントデータの処理方法の詳細はこちらをご覧ください